> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/bookmark/remove.md).

# Removing bookmarks from PDFs on Server/Desktop

Learn how to remove a bookmark by title in a PDF document using a full code sample. Find and edit existing outline items with ease. Discover how to efficiently manage bookmarks. The Apryse Server SDK

{% hint style="info" %}
**Requirements**

Packages are required for production license. Trial keys have unlimited access to all features.

Demo showcases functionality using WebViewer UI.

<a href="https://apryse.com/capabilities#PageManipulation" class="button primary">Package: Page Manipulation</a><a href="https://showcase.apryse.com/create-thumbnail" class="button primary">Live demo</a>
{% endhint %}

To remove a bookmark by title in an existing document.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
PDFDoc doc = new PDFDoc(filename);

// how to find and delete a bookmark by title text.
Bookmark foo = doc.GetFirstBookmark().Find("foo");
if (foo.IsValid()) {
	foo.Delete();
}
```

{% endcode %}
{% endtab %}

{% tab title="C++" %}
{% code lineNumbers="true" %}

```cpp
PDFDoc doc(filename);

// how to find and delete a bookmark by title text.
Bookmark foo = doc.GetFirstBookmark().Find("foo");
if (foo.IsValid())
{
	foo.Delete();
}
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code lineNumbers="true" %}

```go
doc := NewPDFDoc(filename)

// how to find and delete a bookmark by title text.
foo := doc.GetFirstBookmark().Find("foo")
if foo.IsValid(){
  foo.Delete()
}
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
PDFDoc doc = new PDFDoc(filename);

// how to find and delete a bookmark by title text.
Bookmark foo = doc.getFirstBookmark().find("foo");
if (foo.isValid()) {
	foo.delete();
}
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
async function main() {
  const doc = await PDFNet.PDFDoc.createFromURL(filename);

  // how to find and delete a bookmark by title text.
  const firstbookmark = await doc.getFirstBookmark();
  const foo = await firstbookmark.find('foo');
  if (await foo.isValid()) {
    foo.delete();
  }
}
PDFNet.runWithCleanup(main);
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
val doc = PDFDoc(filename)

// how to find and delete a bookmark by title text.
val foo = doc.firstBookmark.find("foo")
if (foo.isValid) {
	foo.delete()
}
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
PTPDFDoc *doc = [[PTPDFDoc alloc] initWithFilepath: filename];

// how to find and delete a bookmark by title text.
PTBookmark *foo = [[doc GetFirstBookmark] Find: @"foo"];
if ([foo IsValid]) {
	[foo Delete];
}
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let doc: PTPDFDoc = PTPDFDoc(filepath: filename)

// how to find and delete a bookmark by title text.
let foo: PTBookmark = doc.getFirstBookmark().find("foo")
if foo.isValid() {
	foo.delete()
}
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code lineNumbers="true" %}

```php
$doc = new PDFDoc($filename);

// how to find and delete a bookmark by title text.
$foo = $doc->GetFirstBookmark()->Find("foo");
if ($foo->IsValid()) {
	$foo->Delete();
}
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
doc = PDFDoc(filename)

# how to find and delete a bookmark by title text.
foo = doc.GetFirstBookmark().Find("foo")
if foo.IsValid():
	foo.Delete()
```

{% endcode %}
{% endtab %}

{% tab title="Ruby" %}
{% code lineNumbers="true" %}

```ruby
doc = PDFDoc.new(filename)

# how to find and delete a bookmark by title text.
foo = doc.GetFirstBookmark().Find("foo")
if foo.IsValid()
	foo.Delete()
```

{% endcode %}
{% endtab %}

{% tab title="VB" %}
{% code lineNumbers="true" %}

```vb
Dim doc As PDFDoc = New PDFDoc(filename)

' how to find and delete a bookmark by title text.
Dim foo As Bookmark = doc1.GetFirstBookmark().Find("foo")
If foo.IsValid() Then
	foo.Delete()
End If
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Read, add, edit PDF outlines and bookmarks](/core/get-started/samples/bookmarktest.md) Full code sample which illustrates how to read and edit existing outline items and create new bookmarks using the high-level API. Code sample is available in C++, C#, Java, Python, Go, PHP, Ruby & VB.

About removing a bookmark

The Bookmarks class also allows you to quickly find Bookmarks based on the title text. For example, the above code snippet looks for a Bookmark called *foo* and then removes it from the outline tree.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/core/bookmark/remove.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
